---
page_source: https://docs.juspay.io/payout-brazil/docs/integration/order-status
page_title: Order Status
---

## API Version: default


# Order Status



API is used to fetch the current status of payout created. Possible values for the order status 


| Status | Details | Action |
|---|---|---|
| READY_FOR_FULFILLMENT | Request received by Juspay | Pending |
| FULFILLMENTS_SCHEDULED | Task added to scheduler and will be picked up | Pending |
| FULFILLMENTS_FAILURE | All transaction attempts have failed | Failure |
| FULFILLMENTS_SUCCESSFUL | Fulfillment completed successfully | Success |
| FULFILLMENTS_CANCELLED | Fulfillment cancelled by merchant from Dashboard  | Failure |
| FULFILLMENTS_MANUAL_REVIEW | Any one of the Fulfillment is in MANUAL_REVIEW | To be reviewed with bank |
## Endpoints:
- Sandbox: https://api.sandbox.juspay.io/payout/merchant/v1/orders/:orderId?expand=fulfillment,payment,refund

- Production: https://api.juspay.io/payout/merchant/v1/orders/:orderId?expand=fulfillment,payment,refund

## Request Type: 
GET

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string
- Value:  Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: String, Mandatory
## Headers:

#### x-merchantid:
Pass merchant-id provided by Juspay
- Tags: string

#### Content-Type:
application/json
- Tags: String
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl --location 'https://api.juspay.io/payout/merchant/v1/orders/:orderId?expand=fulfillment%2Cpayment%2Crefund' \
--header 'Content-Type: application/json' \
--header 'x-merchantid: <merchant id>' \
--header 'Authorization: Basic (b64 encoded API key)'
```

### Sample Response:

#### FULFILLMENTS_SCHEDULED (Response - 200 for BENE_ID Payout):
```json
{
    "updatedAt": "2025-01-16T08:11:41Z",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_SCHEDULED",
    "orderId": "dZqBU5pn7Ff0mJuw",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-01-16T08:11:41Z",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2025-01-16T08:11:44Z",
                    "txnResponse": {
                        "links": [
                            {
                                "rel": "self",
                                "method": "GET",
                                "href": "https://api.sandbox.paypal.com/v1/payments/payouts/99SUZA3MVFT2U"
                            }
                        ],
                        "batch_header": {
                            "sender_batch_header": {
                                "sender_batch_id": "4bdfb84c72b4c9988e08b523d7a333"
                            },
                            "payout_batch_id": "99SUZA3MVFT2U",
                            "batch_status": "PENDING"
                        }
                    },
                    "transactionRef": "4bdfb84c72b4c9988e08b523d7a333",
                    "timeStamp": "2025-01-16T08:11:44Z",
                    "status": "INITIATED",
                    "fulfillmentMethod": "PAYPAL_WALLET",
                    "epgTxnId": "99SUZA3MVFT2U",
                    "createdAt": "2025-01-16T08:11:41Z",
                    "amount": 1
                }
            ],
            "statusUpdatedAt": "2025-01-16T08:11:41Z",
            "status": "PENDING",
            "preferredMethodList": [
                "PAYPAL_WALLET"
            ],
            "merchantCustomerId": "tusharverma1",
            "id": "3c43b07454e4e21b8310f5f26fb944-f1",
            "fulfillmentMethodList": [
                "PAYPAL_WALLET"
            ],
            "fulfillmentCurrency": "USD",
            "createdAt": "2025-01-16T08:11:41Z",
            "beneficiaryDetails": {
                "details": {
                    "id": "696"
                },
                "type": "BENE_ID"
            },
            "amount": 1
        }
    ],
    "customerId": "tusharverma1",
    "createdAt": "2025-01-16T08:11:41Z",
    "amount": 1
}
```

#### FULFILLMENTS_SUCCESSFUL (Response - 200 for BENE_ID Payout):
```json
{
    "updatedAt": "2025-01-16T08:13:01Z",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_SUCCESSFUL",
    "orderId": "dZqBU5pn7Ff0mJuw",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-01-16T08:13:01Z",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2025-01-16T08:12:42Z",
                    "txnResponse": {
                        "links": [
                            {
                                "rel": "self",
                                "method": "GET",
                                "href": "https://api.sandbox.paypal.com/v1/payments/payouts/99SUZA3MVFT2U?page_size=1000&page=1"
                            }
                        ],
                        "items": [
                            {
                                "transaction_status": "SUCCESS",
                                "transaction_id": "71009072V9716693W",
                                "time_processed": "2025-01-16T08:11:45Z",
                                "payout_item_id": "MJB2THJEGSX48",
                                "payout_item_fee": {
                                    "value": "0.25",
                                    "currency": "USD"
                                },
                                "payout_item": {
                                    "sender_item_id": "4bdfb84c72b4c9988e08b523d7a333",
                                    "recipient_wallet": "PAYPAL",
                                    "recipient_type": "PAYPAL_ID",
                                    "receiver": "FSMRBANCV8PSG",
                                    "purpose": "GOODS",
                                    "amount": {
                                        "value": "1.00",
                                        "currency": "USD"
                                    }
                                },
                                "payout_batch_id": "99SUZA3MVFT2U",
                                "links": [
                                    {
                                        "rel": "item",
                                        "method": "GET",
                                        "href": "https://api.sandbox.paypal.com/v1/payments/payouts-item/MJB2THJEGSX48"
                                    }
                                ],
                                "activity_id": "4FN112203W696832H"
                            }
                        ],
                        "batch_header": {
                            "time_created": "2025-01-16T08:11:44Z",
                            "time_completed": "2025-01-16T08:11:45Z",
                            "time_closed": "2025-01-16T08:11:45Z",
                            "sender_batch_header": {
                                "sender_batch_id": "4bdfb84c72b4c9988e08b523d7a333"
                            },
                            "payout_batch_id": "99SUZA3MVFT2U",
                            "funding_source": "BALANCE",
                            "fees": {
                                "value": "0.25",
                                "currency": "USD"
                            },
                            "batch_status": "SUCCESS",
                            "amount": {
                                "value": "1.00",
                                "currency": "USD"
                            }
                        }
                    },
                    "transactionRef": "4bdfb84c72b4c9988e08b523d7a333",
                    "timeStamp": "2025-01-16T08:12:42Z",
                    "status": "SUCCESS",
                    "responseMessage": "Funds have been credited to the recipient's account.",
                    "responseDescription": "Funds have been credited to the recipient's account.",
                    "responseCode": "SUCCESS",
                    "gatewayRefId": "4FN112203W696832H",
                    "fulfillmentMethod": "PAYPAL_WALLET",
                    "epgTxnId": "99SUZA3MVFT2U",
                    "createdAt": "2025-01-16T08:11:41Z",
                    "amount": 1
                }
            ],
            "statusUpdatedAt": "2025-01-16T08:13:01Z",
            "status": "SUCCESS",
            "preferredMethodList": [
                "PAYPAL_WALLET"
            ],
            "merchantCustomerId": "tusharverma1",
            "id": "3c43b07454e4e21b8310f5f26fb944-f1",
            "fulfillmentMethodList": [
                "PAYPAL_WALLET"
            ],
            "fulfillmentCurrency": "USD",
            "createdAt": "2025-01-16T08:11:41Z",
            "beneficiaryDetails": {
                "details": {
                    "id": "696"
                },
                "type": "BENE_ID"
            },
            "amount": 1
        }
    ],
    "customerId": "tusharverma1",
    "createdAt": "2025-01-16T08:11:41Z",
    "amount": 1
}
```

#### FULFILLMENTS_MANUAL_REVIEW (Response - 200 for BENE_ID Payout):
```JSON
{
    "updatedAt": "2025-01-16T08:17:31Z",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_MANUAL_REVIEW",
    "orderId": "XuY2wMh8xr4uEjwk",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-01-16T08:17:31Z",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2025-01-16T08:17:21Z",
                    "txnResponse": {
                        "links": [
                            {
                                "rel": "self",
                                "method": "GET",
                                "href": "https://api.sandbox.paypal.com/v1/payments/payouts/78KW4E3KDBX3N?page_size=1000&page=1"
                            }
                        ],
                        "items": [
                            {
                                "transaction_status": "FAILED",
                                "time_processed": "2025-01-16T08:16:30Z",
                                "payout_item_id": "35YRVW8424GF4",
                                "payout_item_fee": {
                                    "value": "0.00",
                                    "currency": "USD"
                                },
                                "payout_item": {
                                    "sender_item_id": "be76ab8f0bc421b812ef0cd08fbc43",
                                    "recipient_wallet": "PAYPAL",
                                    "recipient_type": "PAYPAL_ID",
                                    "receiver": "0",
                                    "purpose": "GOODS",
                                    "amount": {
                                        "value": "1.00",
                                        "currency": "USD"
                                    }
                                },
                                "payout_batch_id": "78KW4E3KDBX3N",
                                "links": [
                                    {
                                        "rel": "item",
                                        "method": "GET",
                                        "href": "https://api.sandbox.paypal.com/v1/payments/payouts-item/35YRVW8424GF4"
                                    }
                                ],
                                "errors": {
                                    "name": "UXXXXXXXD",
                                    "message": "Sorry, an error has occurred. For help, please contact your account manager or our Customer Service team. You can also try sending the Payout after sometime.",
                                    "links": [],
                                    "information_link": "https://developer.paypal.com/docs/api/payments.payouts-batch/#errors",
                                    "details": []
                                }
                            }
                        ],
                        "batch_header": {
                            "time_created": "2025-01-16T08:16:29Z",
                            "time_completed": "2025-01-16T08:16:30Z",
                            "time_closed": "2025-01-16T08:16:30Z",
                            "sender_batch_header": {
                                "sender_batch_id": "be76ab8f0bc421b812ef0cd08fbc43"
                            },
                            "payout_batch_id": "78KW4E3KDBX3N",
                            "funding_source": "BALANCE",
                            "fees": {
                                "value": "0.00",
                                "currency": "USD"
                            },
                            "batch_status": "DENIED",
                            "amount": {
                                "value": "1.00",
                                "currency": "USD"
                            }
                        }
                    },
                    "transactionRef": "be76ab8f0bc421b812ef0cd08fbc43",
                    "timeStamp": "2025-01-16T08:17:21Z",
                    "status": "INITIATED",
                    "fulfillmentMethod": "PAYPAL_WALLET",
                    "epgTxnId": "78KW4E3KDBX3N",
                    "createdAt": "2025-01-16T08:16:29Z",
                    "amount": 1
                }
            ],
            "statusUpdatedAt": "2025-01-16T08:17:31Z",
            "status": "MANUAL_REVIEW",
            "preferredMethodList": [
                "PAYPAL_WALLET"
            ],
            "merchantCustomerId": "tusharverma1",
            "id": "1b8ccc91232458f8c8ab014c8827b5-f1",
            "fulfillmentMethodList": [
                "PAYPAL_WALLET"
            ],
            "fulfillmentCurrency": "USD",
            "createdAt": "2025-01-16T08:16:28Z",
            "beneficiaryDetails": {
                "details": {
                    "id": "878"
                },
                "type": "BENE_ID"
            },
            "amount": 1
        }
    ],
    "customerId": "tusharverma1",
    "createdAt": "2025-01-16T08:16:28Z",
    "amount": 1
}
```

#### FULFILLMENTS_SCHEDULED (Response - 200 for BANK_TRANSFER Payout):
```plaintext
{
    "updatedAt": "2025-02-14T05:43:59Z",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_SCHEDULED",
    "orderId": "123456789",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-02-14T05:43:59Z",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2025-02-14T05:44:01Z",
                    "txnResponse": {
                        "transactions": [
                            {
                                "type": "CREDIT",
                                "timestamp": "2025-02-14T05:44:01Z",
                                "state": "AXXXXXXD",
                                "resultCode": 0,
                                "responseText": "Success.",
                                "gatewayProvidedId": "9a911e36-feaf-4775-8d34-02d160b40698",
                                "currency": "BRL",
                                "amount": 1
                            }
                        ],
                        "status": "CREDITED",
                        "properties": {
                            "INFINIA_TXN_ID": "eabtcdwqbgmstjrwcttn"
                        },
                        "paymentType": "WALLET",
                        "paymentMethod": "PIX",
                        "merchantAccount": "JuspayM1",
                        "lineItem": {
                            "taxIncludedInPrice": true,
                            "taxCode": "NT",
                            "description": "PAYOUT",
                            "currency": "BRL",
                            "amount": 1
                        },
                        "internalId": "12906481695858688",
                        "id": "28XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXt1",
                        "created": "2025-02-14T05:44:00Z",
                        "amountRemaining": 0
                    },
                    "transactionRef": "7a86d11a2dc44dbabbffe2cf2eb912",
                    "timeStamp": "2025-02-14T05:44:01Z",
                    "status": "INITIATED",
                    "fulfillmentMethod": "PAYAMIGO_BT",
                    "epgTxnId": "28e6a51d0e0493990aa5914bfa419a-f1-t1",
                    "createdAt": "2025-02-14T05:43:59Z",
                    "amount": 1
                }
            ],
            "statusUpdatedAt": "2025-02-14T05:43:59Z",
            "status": "PENDING",
            "merchantCustomerId": "cth_59Yibs1JauYP6WJP",
            "id": "28e6a51d0e0493990aa5914bfa419a-f1",
            "fulfillmentMethodList": [
                "PAYAMIGO_BT"
            ],
            "fulfillmentCurrency": "BRL",
            "createdAt": "2025-02-14T05:43:59Z",
            "beneficiaryDetails": {
                "details": {
                    "transferType": "LOCAL",
                    "payoutMode": "PIX",
                    "payeeAdditionalDetails": {
                        "documents": [
                            {
                                "docType": "CPF",
                                "docId": "853.XXXXXX8-93"
                            }
                        ]
                    },
                    "payeeAccountIdentifier": "+5511995904440",
                    "lastName": "Dimri",
                    "firstName": "Aniket",
                    "bankCountryCode": "BRA"
                },
                "type": "BANK_TRANSFER"
            },
            "amount": 1
        }
    ],
    "customerId": "cth_59Yibs1JauYP6WJP",
    "createdAt": "2025-02-14T05:43:59Z",
    "amount": 1
}
```

#### FULFILLMENTS_SUCCESSFUL (Response - 200 for BANK_TRANSFER Payout):
```plaintext
{
    "updatedAt": "2025-02-14T05:44:38Z",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_SUCCESSFUL",
    "orderId": "123456789",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-02-14T05:44:37Z",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2025-02-14T05:44:26Z",
                    "txnResponse": {
                        "transactions": [
                            {
                                "type": "CREDIT",
                                "timestamp": "2025-02-14T05:44:01Z",
                                "state": "AXXXXXXD",
                                "resultCode": 0,
                                "responseText": "Success.",
                                "gatewayProvidedId": "9a911e36-feaf-4775-8d34-02d160b40698",
                                "currency": "BRL",
                                "amount": 1
                            }
                        ],
                        "status": "CREDITED",
                        "properties": {
                            "INFINIA_TXN_ID": "eabtcdwqbgmstjrwcttn"
                        },
                        "paymentType": "WALLET",
                        "paymentMethod": "PIX",
                        "merchantAccount": "JuspayM1",
                        "lineItem": {
                            "taxIncludedInPrice": true,
                            "taxCode": "NT",
                            "description": "PAYOUT",
                            "currency": "BRL",
                            "amount": 1
                        },
                        "internalId": "12906481695858688",
                        "id": "28XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXt1",
                        "created": "2025-02-14T05:44:00Z",
                        "amountRemaining": 0
                    },
                    "transactionRef": "7a86d11a2dc44dbabbffe2cf2eb912",
                    "timeStamp": "2025-02-14T05:44:26Z",
                    "status": "SUCCESS",
                    "responseMessage": "CREDITED",
                    "responseDescription": "CREDITED",
                    "responseCode": "CREDITED",
                    "fulfillmentMethod": "PAYAMIGO_BT",
                    "epgTxnId": "28e6a51d0e0493990aa5914bfa419a-f1-t1",
                    "createdAt": "2025-02-14T05:43:59Z",
                    "amount": 1
                }
            ],
            "statusUpdatedAt": "2025-02-14T05:44:37Z",
            "status": "SUCCESS",
            "merchantCustomerId": "cth_59Yibs1JauYP6WJP",
            "id": "28e6a51d0e0493990aa5914bfa419a-f1",
            "fulfillmentMethodList": [
                "PAYAMIGO_BT"
            ],
            "fulfillmentCurrency": "BRL",
            "createdAt": "2025-02-14T05:43:59Z",
            "beneficiaryDetails": {
                "details": {
                    "transferType": "LOCAL",
                    "payoutMode": "PIX",
                    "payeeAdditionalDetails": {
                        "documents": [
                            {
                                "docType": "CPF",
                                "docId": "853.XXXXXX8-93"
                            }
                        ]
                    },
                    "payeeAccountIdentifier": "+5511995904440",
                    "lastName": "Dimri",
                    "firstName": "Aniket",
                    "bankCountryCode": "BRA"
                },
                "type": "BANK_TRANSFER"
            },
            "amount": 1
        }
    ],
    "customerId": "cth_59Yibs1JauYP6WJP",
    "createdAt": "2025-02-14T05:43:59Z",
    "amount": 1
}
```

## Query Parameters:

#### expand:
fulfillment, payment, refund based on requirement.
- Tags: string
## API Responses:
### 200:

#### 200: Response Body:
- Tags: Object

#### updatedAt:
- Description: Timestamp at which order details were updated
- Tags: String

#### udf1-5:
- Description: Order level user defined fields passed in order create by the merchant
- Tags: String

#### status:
- Description: Current status of the order
- Tags: String

#### orderId:
- Description: Order ID passed by merchant in create order request
- Tags: String

#### fulfillments:
- Value:
  - **UpdatedAt**:
    - Description: Timestamp at which fulfillment details were updated
    - Tags: String
  - **Udf1-5**:
    - Description: Fulfillment level user defined fields passed by merchant
    - Tags: String
  - **Transactions**:
    - Value:
      - **UpdatedAt**:
        - Description: Timestamp at which transaction details were udpated
        - Tags: String
      - **TransactionRef**:
        - Description: Reference ID assigned by Juspay for attempting the transaction
        - Tags: String
      - **Status**:
        - Description: Current status of transaction created for the fulfilmentValue: CREATED | INITIATED | PENDING | FAILURE | SUCCESS | MANUAL_REVIEW | REVERSED | CONFLICTED
        - Tags: String
      - **FulfillmentMethod**:
        - Description: Combination of Gateway and Rail via which transaction is being attempted
        - Tags: String
      - **CreatedAt**:
        - Description: Timestamp at which transaction was created at Juspay end
        - Tags: String
      - **Amount**:
        - Description: Amount of payout being attempted
        - Tags: String
      - **ResponseMessage**:
        - Description: Response message from Gateway
        - Tags: String
      - **ResponseCode**:
        - Description: Response Code from Gateway
        - Tags: String
      - **ResponseDescription**:
        - Description: Response description
        - Tags: String
      - **EpgTxnId**:
        - Description: Gateway id from PG
        - Tags: String
    - Tags: Object
  - **StatusUpdatedAt**:
    - Description: Timestamp at which fulfillment order status was last updated
    - Tags: String
  - **Status**:
    - Description: Current status of the fulfilment Values: CREATED | SUCCESS | FAILURE | PENDING | MANUAL_REVIEW | CANCELLED
    - Tags: String
  - **PreferredMethodList**:
    - Description: Preferred gateways passed by merchant in create order request
    - Tags: Array of Strings
  - **MerchantCustomerId**:
    - Description: Customer ID passed by merchant in create order request
    - Tags: String
  - **Id**:
    - Description: Fulfillment ID created by Juspay for the order
    - Tags: String
  - **FulfillmentMethodList**:
    - Description: Gateways selected to attempt the fulfillment on. This will be combination of preferredMethodList and priority logic
    - Tags: Array Of Strings
  - **CreatedAt**:
    - Description: Timestamp at which fulfillment was created
    - Tags: String
  - **BeneficiaryDetails**:
    - Description: Beneficiary details passed by merchant in create order request
    - Tags: String
  - **Type**:
    - Description: Payout type passed in create order request
    - Tags: String
  - **Amount**:
    - Description: Fulfillment amount passed by the merchant
    - Tags: String
  - **AdditionalInfo**:
    - Description: Additional information included by merchant in create order request
    - Tags: String
- Tags: Object
